## sdlip.http
Class HTTPClient

    java.lang.Object
      |
      +--sdlip.http.HTTPClient

public class HTTPClient
extends java.lang.Object

Field Summary
`static int` `DEFAULT_PORT`

Constructor Summary
`HTTPClient(java.lang.String url)`
`HTTPClient(java.net.URL url)`

Method Summary
`java.io.InputStream` `getInputStream()`
`java.io.OutputStream` `getOutputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### HTTPClient

    public HTTPClient(java.lang.String url)
               throws java.net.MalformedURLException

### HTTPClient

    public HTTPClient(java.net.URL url)

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

    `java.io.IOException`